/*
 Theme Name:   Understrap Child
 Theme URI:    https://understrap.com
 Description:  Understrap Child Theme
 Author:       the Understrap Contributors
 Author URI:   https://github.com/understrap/understrap-child/graphs/contributors
 Template:     understrap
 Version:      1.2.0
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  understrap-child
 Tags: one-column, custom-menu, featured-images, theme-options, translation-ready
 GitHub Theme URI: understrap/understrap-child
*/

/* comfortaa-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Comfortaa';
  font-style: normal;
  font-weight: 300;
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-300.eot'); /* IE9 Compat Modes */
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-300.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-300.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-300.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-300.svg#Comfortaa') format('svg'); /* Legacy iOS */
}
/* comfortaa-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Comfortaa';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-regular.eot'); /* IE9 Compat Modes */
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-regular.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-regular.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-regular.svg#Comfortaa') format('svg'); /* Legacy iOS */
}
/* comfortaa-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Comfortaa';
  font-style: normal;
  font-weight: 500;
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-500.eot'); /* IE9 Compat Modes */
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-500.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-500.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-500.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-500.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-500.svg#Comfortaa') format('svg'); /* Legacy iOS */
}
/* comfortaa-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Comfortaa';
  font-style: normal;
  font-weight: 600;
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-600.eot'); /* IE9 Compat Modes */
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-600.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-600.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-600.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-600.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-600.svg#Comfortaa') format('svg'); /* Legacy iOS */
}
/* comfortaa-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Comfortaa';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-700.eot'); /* IE9 Compat Modes */
  src: url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-700.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-700.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-700.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/comfortaa-v46-latin/comfortaa-v46-latin-700.svg#Comfortaa') format('svg'); /* Legacy iOS */
}

body{
  font-family: 'Comfortaa' !important;
}

div#primary {
  margin: 0;
  padding: 0;
}

body.navbar-expanded{
  padding: 0 !important;
}

div .wrapper {
  padding: 0 !important;
}

/*
================================== GENERIC ==================================
*/
html,body{
  overflow-x: hidden;
  word-wrap: break-word;
  overflow-wrap: break-word;
  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;
  /*background-color: #e6e6e6;*/
}

@media (min-width: 0px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    width: 70%;
    padding: 0;
    max-width: none;
  }
}

@media (max-width: 500px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    width: 90%;
    padding: 0;
    max-width: none;
  }

  .swipe-content>.wp-block-group__inner-container>.wp-block-gallery {
    grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
  }

  .swipe-content>.wp-block-group__inner-container>.wp-block-gallery>*:nth-child(3),
  .swipe-content>.wp-block-group__inner-container>.wp-block-gallery>*:nth-child(4) {
    display: none;
  }
}

/*
====================== theme toggle stuff ==================
*/

body {
  --text-color: 34, 34, 34;
  --bkg-color: 255, 255, 255;
  --burger-menu-bg-color: 217, 217, 217;
  --dark-icon-display: none;
  --light-icon-display: unset;
  --theme-toggle-image: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_lightmode_action_komplett.svg");
  --navbar-icon-erdtiefbau: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_logo_erd-und_tiefbau_lightmode.svg");
  --navbar-icon-hausgarten: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_logo_haus-und_gartenservice_lightmode.svg");
  --boxy-icon: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_Telefon-Darkmode.png");
}
body.dark-mode {
  --text-color: 238, 238, 238;
  --bkg-color: 18, 18, 18;
  --burger-menu-bg-color: 34, 34, 34;
  --dark-icon-display: unset;
  --light-icon-display: none;
  --theme-toggle-image: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_darkmode_action_komplett.png");
  --navbar-icon-erdtiefbau: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_logo_erd-und_tiefbau_darkmode.svg");
  --navbar-icon-hausgarten: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_logo_haus-und_gartenservice_darkmode.svg");
  --boxy-icon: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_Telefon-lightmode.png");
}

@media (prefers-color-scheme: dark) {
  /* defaults to dark theme */
  body {
    --text-color: 238, 238, 238;
    --bkg-color: 18, 18, 18;
    --burger-menu-bg-color: 34, 34, 34;
    --dark-icon-display: unset;
    --light-icon-display: none;
    --navbar-icon-erdtiefbau: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_logo_erd-und_tiefbau_darkmode.svg");
    --navbar-icon-hausgarten: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_logo_haus-und_gartenservice_darkmode.svg");
    --boxy-icon: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_Telefon-lightmode.png");
  }
  body.light-mode {
    --text-color: 34, 34, 34;
    --bkg-color: 255, 255, 255;
    --burger-menu-bg-color: 217, 217, 217;
    --dark-icon-display: none;
    --light-icon-display: unset;
    --navbar-icon-erdtiefbau: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_logo_erd-und_tiefbau_lightmode.svg");
    --navbar-icon-hausgarten: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_logo_haus-und_gartenservice_lightmode.svg");
    --boxy-icon: url("/wp-content/uploads/2025/07/Niko_Iwers_Internetpraesenz_Telefon-Darkmode.png");
  }
}

body {
  background: rgb(var(--bkg-color));
}

.light-mode-icon img, .dark-mode-icon img{
  height: clamp(2rem, 1.895rem + 0.842vi, 4rem);
}

.light-mode-icon, .dark-mode-icon {
  width: 8rem;
}

.light-mode-icon {
  display: var(--light-icon-display) !important;
}

.dark-mode-icon {
  display: var(--dark-icon-display) !important;
}

.contact-icon img {
  height: unset;
}

.contact-icon {
  width: clamp(1rem, 0.964rem + 0.286vi, 1.5rem);
}

.contact-grid>.wp-block-group {
  width: 100%;
}

.contact-grid>.wp-block-group p {
  font-size: clamp(1rem, 0.964rem + 0.286vi, 1.5rem);
}

.contact-grid>.wp-block-group a {
  color: rgb(var(--text-color));
}

@media (max-width: 1400px) {
  .contact-grid {
        grid-template-columns: repeat(1, minmax(0, 1fr)) !important;
  }
  
  .contact-grid>.wp-block-group {
    justify-content: left;
  }

  .contact-icon {
    font-size: clamp(1.125rem, 0.75rem + 1.2vi, 1.5rem);
  }

  .contact-grid>.wp-block-group p {
    font-size: clamp(1.125rem, 0.75rem + 1.2vi, 1.5rem);
  }
}

.wp-block-gallery {
  display: grid !important;
  grid-template-columns: repeat(4, 1fr) !important;
  justify-items: center;
  gap: 5vi !important;
}

.wp-block-gallery>.wp-block-image {
  width: unset !important;
}

html, body {
    margin: 0 !important;
    padding: 0 !important;
    overflow-x: hidden;
}